register webhook endpoint
POST
/v1/webhook-endpoints
const url = 'https://api.flowpayra.com/v1/webhook-endpoints';const options = { method: 'POST', headers: { 'Idempotency-Key': 'example', 'X-Api-Key': '<X-Api-Key>', 'X-Signature': '<X-Signature>', 'X-Timestamp': '<X-Timestamp>', 'X-Nonce': '<X-Nonce>', 'Content-Type': 'application/json' }, body: '{"url":"https://example.com","event_types":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.flowpayra.com/v1/webhook-endpoints \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: example' \ --header 'X-Api-Key: <X-Api-Key>' \ --header 'X-Nonce: <X-Nonce>' \ --header 'X-Signature: <X-Signature>' \ --header 'X-Timestamp: <X-Timestamp>' \ --data '{ "url": "https://example.com", "event_types": [ "example" ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Idempotency-Key
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
url
required
string format: uri
event_types
Array<string>
Examplegenerated
{ "url": "https://example.com", "event_types": [ "example" ]}Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
id
required
string
secret
required
string
event_types
required
Array<string>
Examplegenerated
{ "id": "example", "secret": "example", "event_types": [ "example" ]}Stable API error
Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{ "code": "example", "message": "example", "details": "example"}Stable API error
Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{ "code": "example", "message": "example", "details": "example"}Stable API error
Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{ "code": "example", "message": "example", "details": "example"}Stable API error
Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{ "code": "example", "message": "example", "details": "example"}Stable API error
Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{ "code": "example", "message": "example", "details": "example"}